## Generated SDC file "Transceiver.sdc"

## Copyright (C) 1991-2012 Altera Corporation
## Your use of Altera Corporation's design tools, logic functions 
## and other software and tools, and its AMPP partner logic 
## functions, and any output files from any of the foregoing 
## (including device programming or simulation files), and any 
## associated documentation or information are expressly subject 
## to the terms and conditions of the Altera Program License 
## Subscription Agreement, Altera MegaCore Function License 
## Agreement, or other applicable license agreement, including, 
## without limitation, that your use is for the sole purpose of 
## programming logic devices manufactured by Altera and sold by 
## Altera or its authorized distributors.  Please refer to the 
## applicable agreement for further details.


## VENDOR  "Altera"
## PROGRAM "Quartus II"
## VERSION "Version 12.1 Build 177 11/07/2012 SJ Web Edition"

## DATE    "Mon Dec 17 16:05:36 2012"

##
## DEVICE  "EP3C25Q240C8"
##


#**************************************************************
# Time Information
#**************************************************************

set_time_format -unit ns -decimal_places 3



#**************************************************************
# Create Clock
#**************************************************************

create_clock -name {clock} -period 8.138  -waveform { 0.000 4.069 } [get_ports {clock}]
create_clock -name {adc_clock} -period 8.138 -waveform { 0.000 4.069 } [get_ports { adc_clock }]


#**************************************************************
# Create Generated Clock
#**************************************************************

create_generated_clock -name {prx|altpll_component|auto_generated|pll1|clk[0]} -source [get_pins {prx|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 1 -master_clock {clock} [get_pins {prx|altpll_component|auto_generated|pll1|clk[0]}] 
create_generated_clock -name {prx|altpll_component|auto_generated|pll1|clk[1]} -source [get_pins {prx|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 1 -divide_by 2 -master_clock {clock} [get_pins {prx|altpll_component|auto_generated|pll1|clk[1]}] 
create_generated_clock -name {prx|altpll_component|auto_generated|pll1|clk[2]} -source [get_pins {prx|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 2 -master_clock {clock} [get_pins {prx|altpll_component|auto_generated|pll1|clk[2]}] 
create_generated_clock -name {prx|altpll_component|auto_generated|pll1|clk[3]} -source [get_pins {prx|altpll_component|auto_generated|pll1|inclk[0]}] -duty_cycle 50.000 -multiply_by 1 -divide_by 1024 -master_clock {clock} [get_pins {prx|altpll_component|auto_generated|pll1|clk[3]}] 


#**************************************************************
# Set Clock Latency
#**************************************************************



#**************************************************************
# Set Clock Uncertainty
#**************************************************************

set_clock_uncertainty -rise_from [get_clocks {clock}] -rise_to [get_clocks {clock}]  0.020  
set_clock_uncertainty -rise_from [get_clocks {clock}] -fall_to [get_clocks {clock}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {clock}] -rise_to [get_clocks {clock}]  0.020  
set_clock_uncertainty -fall_from [get_clocks {clock}] -fall_to [get_clocks {clock}]  0.020  


#**************************************************************
# Set Input Delay
#**************************************************************



#**************************************************************
# Set Output Delay
#**************************************************************



#**************************************************************
# Set Clock Groups
#**************************************************************



#**************************************************************
# Set False Path
#**************************************************************

set_false_path -from [get_registers {Receiver:rx|mem_checksum[0] Receiver:rx|mem_checksum[1] Receiver:rx|mem_checksum[2] Receiver:rx|mem_checksum[3] Receiver:rx|mem_checksum[4] Receiver:rx|mem_checksum[5] Receiver:rx|mem_checksum[6] Receiver:rx|mem_checksum[7] Receiver:rx|mem_checksum[8] Receiver:rx|mem_checksum[9] Receiver:rx|mem_checksum[10] Receiver:rx|mem_checksum[11] Receiver:rx|mem_checksum[12] Receiver:rx|mem_checksum[13] Receiver:rx|mem_checksum[14] Receiver:rx|mem_checksum[15] Receiver:rx|mem_checksum[16] Receiver:rx|mem_checksum[17] Receiver:rx|mem_checksum[18] Receiver:rx|mem_checksum[19] Receiver:rx|mem_checksum[20] Receiver:rx|mem_checksum[21] Receiver:rx|mem_checksum[22] Receiver:rx|mem_checksum[23] Receiver:rx|mem_checksum[24] Receiver:rx|mem_checksum[25] Receiver:rx|mem_checksum[26] Receiver:rx|mem_checksum[27] Receiver:rx|mem_checksum[28] Receiver:rx|mem_checksum[29] Receiver:rx|mem_checksum[30] Receiver:rx|mem_checksum[31]}] -to [get_registers {ethernet:mod_eth|checksum[0] ethernet:mod_eth|checksum[1] ethernet:mod_eth|checksum[2] ethernet:mod_eth|checksum[3] ethernet:mod_eth|checksum[4] ethernet:mod_eth|checksum[5] ethernet:mod_eth|checksum[6] ethernet:mod_eth|checksum[7] ethernet:mod_eth|checksum[8] ethernet:mod_eth|checksum[9] ethernet:mod_eth|checksum[10] ethernet:mod_eth|checksum[11] ethernet:mod_eth|checksum[12] ethernet:mod_eth|checksum[13] ethernet:mod_eth|checksum[14] ethernet:mod_eth|checksum[15] ethernet:mod_eth|checksum[16] ethernet:mod_eth|checksum[17] ethernet:mod_eth|checksum[18] ethernet:mod_eth|checksum[19] ethernet:mod_eth|checksum[20] ethernet:mod_eth|checksum[21] ethernet:mod_eth|checksum[22] ethernet:mod_eth|checksum[23] ethernet:mod_eth|checksum[24] ethernet:mod_eth|checksum[25] ethernet:mod_eth|checksum[26] ethernet:mod_eth|checksum[27] ethernet:mod_eth|checksum[28] ethernet:mod_eth|checksum[29] ethernet:mod_eth|checksum[30] ethernet:mod_eth|checksum[31]}]
set_false_path -from [get_registers {ethernet:mod_eth|rx_tune_phase[0] ethernet:mod_eth|rx_tune_phase[1] ethernet:mod_eth|rx_tune_phase[2] ethernet:mod_eth|rx_tune_phase[3] ethernet:mod_eth|rx_tune_phase[4] ethernet:mod_eth|rx_tune_phase[5] ethernet:mod_eth|rx_tune_phase[6] ethernet:mod_eth|rx_tune_phase[7] ethernet:mod_eth|rx_tune_phase[8] ethernet:mod_eth|rx_tune_phase[9] ethernet:mod_eth|rx_tune_phase[10] ethernet:mod_eth|rx_tune_phase[11] ethernet:mod_eth|rx_tune_phase[12] ethernet:mod_eth|rx_tune_phase[13] ethernet:mod_eth|rx_tune_phase[14] ethernet:mod_eth|rx_tune_phase[15] ethernet:mod_eth|rx_tune_phase[16] ethernet:mod_eth|rx_tune_phase[17] ethernet:mod_eth|rx_tune_phase[18] ethernet:mod_eth|rx_tune_phase[19] ethernet:mod_eth|rx_tune_phase[20] ethernet:mod_eth|rx_tune_phase[21] ethernet:mod_eth|rx_tune_phase[22] ethernet:mod_eth|rx_tune_phase[23] ethernet:mod_eth|rx_tune_phase[24] ethernet:mod_eth|rx_tune_phase[25] ethernet:mod_eth|rx_tune_phase[26] ethernet:mod_eth|rx_tune_phase[27] ethernet:mod_eth|rx_tune_phase[28] ethernet:mod_eth|rx_tune_phase[29] ethernet:mod_eth|rx_tune_phase[30] ethernet:mod_eth|rx_tune_phase[31] ethernet:mod_eth|tx_tune_phase[0] ethernet:mod_eth|tx_tune_phase[1] ethernet:mod_eth|tx_tune_phase[2] ethernet:mod_eth|tx_tune_phase[3] ethernet:mod_eth|tx_tune_phase[4] ethernet:mod_eth|tx_tune_phase[5] ethernet:mod_eth|tx_tune_phase[6] ethernet:mod_eth|tx_tune_phase[7] ethernet:mod_eth|tx_tune_phase[8] ethernet:mod_eth|tx_tune_phase[9] ethernet:mod_eth|tx_tune_phase[10] ethernet:mod_eth|tx_tune_phase[11] ethernet:mod_eth|tx_tune_phase[12] ethernet:mod_eth|tx_tune_phase[13] ethernet:mod_eth|tx_tune_phase[14] ethernet:mod_eth|tx_tune_phase[15] ethernet:mod_eth|tx_tune_phase[16] ethernet:mod_eth|tx_tune_phase[17] ethernet:mod_eth|tx_tune_phase[18] ethernet:mod_eth|tx_tune_phase[19] ethernet:mod_eth|tx_tune_phase[20] ethernet:mod_eth|tx_tune_phase[21] ethernet:mod_eth|tx_tune_phase[22] ethernet:mod_eth|tx_tune_phase[23] ethernet:mod_eth|tx_tune_phase[24] ethernet:mod_eth|tx_tune_phase[25] ethernet:mod_eth|tx_tune_phase[26] ethernet:mod_eth|tx_tune_phase[27] ethernet:mod_eth|tx_tune_phase[28] ethernet:mod_eth|tx_tune_phase[29] ethernet:mod_eth|tx_tune_phase[30] ethernet:mod_eth|tx_tune_phase[31]}] 
set_false_path -from [get_registers {ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[0] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[1] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[2] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[3] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[4] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[5] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[6] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[7] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[8] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[9] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[10] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[11] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[12] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[13] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[14] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[15] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[16] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[17] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[18] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[19] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[20] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[21] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[22] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[23] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[24] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[25] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[26] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[27] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[28] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[29] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[30] ethernet:mod_eth|eth_ram2:dac_ram|altsyncram:altsyncram_component|altsyncram_hnn1:auto_generated|q_b[31]}] 
set_false_path -from [get_registers {ethernet:mod_eth|tx_ctrl[0] ethernet:mod_eth|tx_ctrl[1] ethernet:mod_eth|tx_ctrl[2] ethernet:mod_eth|tx_ctrl[3]}] 
set_false_path -from [get_registers {ethernet:mod_eth|tx_state.sTxFill ethernet:mod_eth|tx_state.sTxRun ethernet:mod_eth|tx_state.sTxUnFlow}] 
set_false_path -from [get_registers {ethernet:mod_eth|rx_ctrl[0] ethernet:mod_eth|rx_ctrl[1] ethernet:mod_eth|rx_ctrl[2] ethernet:mod_eth|rx_ctrl[3] ethernet:mod_eth|rx_ctrl[4] ethernet:mod_eth|rx_ctrl[5]}] 


#**************************************************************
# Set Multicycle Path
#**************************************************************



#**************************************************************
# Set Maximum Delay
#**************************************************************



#**************************************************************
# Set Minimum Delay
#**************************************************************



#**************************************************************
# Set Input Transition
#**************************************************************

